Skip to main content

Update resident

PUThttps://api.propexo.com/v1/residents/:id

Update a resident for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    resident_idstring

    The Propexo unique identifier for the resident

    last_namestring

    The last name of the resident.

    first_namestring

    The first name of the resident.

    email_1string<email>

    The primary email address for the resident.

    email_2string<email>

    The secondary email address associated with the resident

    date_of_birthstring

    The date of birth associated with the resident

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    Show 73 enum values
    ABBCMBNBNLNTNSNUONPEQCSKYTALAKASAZARAAAEAPCACOCTDEDCFLGAGUHIIDILINIAKSKYLAMEMDMAMIMNMSMOMTNENVNHNJNMNYNCNDMPOHOKORPAPRRISCSDTNTXUMUTVTVIVAWAWVWIWY
    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    Show 2 enum values
    USCA
    address_1_alternatestring

    Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object

    address_2_alternatestring

    Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object

    city_alternatestring

    City of the resident's secondary/alternate address

    state_alternatestring

    State of the resident's secondary/alternate address

    zip_alternatestring

    Zip/Postal Code of the resident's secondary/alternate address

    country_alternatestring

    Country of the resident's secondary/alternate address.

    Show 1 enum value
    US
    notesstring

    Notes associated with the resident

    phone_1string

    The primary phone number for the resident.

    phone_1_typestring

    The primary phone type for the resident. Required when updating phone number.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the resident

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object
    middle_namestring

    The middle name associated with the resident

    events object[]deprecated

    DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident

  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired

    The PMS id for the event type.

    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]
  • lead_source_idstring

    The Propexo unique identifier for the lead source

    middle_initialstring

    The middle initial of the resident

    Possible values: non-empty and <= 1 characters

    qualifiedboolean

    Whether the resident is qualified

    genderstring

    The gender of the resident

    Show 2 enum values
    MALEFEMALE
    guarantorboolean

    Indicates if the resident is a guarantor for the primary resident.

    monthly_income_in_centsinteger

    The monthly income of the resident, in cents

    Possible values: >= 0

    no_checks_in_cash_receiptsboolean

    To restrict the resident from making payments by check, set this to true. Defaults to false.

    rent_periodstring

    How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.

    Show 3 enum values
    MONTHLYWEEKLYDAILY
    rent_due_dayinteger

    Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object

    Possible values: >= 1 and <= 31

    is_primaryboolean

    Whether the resident is the primary record

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/:id
curl -X PUT https://api.propexo.com/v1/residents/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"resident_id": "string",
"last_name": "string",
"first_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AB",
"zip": "string",
"country": "US",
"address_1_alternate": "string",
"address_2_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"country_alternate": "US",
"notes": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "FAX",
"middle_name": "string",
"lead_source_id": "string",
"middle_initial": "string",
"qualified": true,
"gender": "MALE",
"guarantor": true,
"monthly_income_in_cents": 0,
"no_checks_in_cash_receipts": true,
"rent_period": "MONTHLY",
"rent_due_day": 0,
"is_primary": true
}'
200 Successful response
{
"job_id": "string",
"data": {}
}